Loading...
Searching...
No Matches
pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices Struct Reference

`#include <pcl/registration/transformation_estimation_point_to_plane_weighted.h>`

Inheritance diagram for pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices:

## Public Member Functions

| OptimizationFunctorWithIndices (int m_data_points, const TransformationEstimationPointToPlaneWeighted *estimator)
| Functor constructor.
| OptimizationFunctorWithIndices (const OptimizationFunctorWithIndices &src)
| Copy constructor.
OptimizationFunctorWithIndices & | operator= (const OptimizationFunctorWithIndices &src)
| Copy operator.
virtual | ~OptimizationFunctorWithIndices ()=default
| Destructor.
int | operator() (const VectorX &x, VectorX &fvec) const
| Fill fvec from x.
Public Member Functions inherited from pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
| Functor ()
| Empty Constructor.
| Functor (int m_data_points)
| Constructor.
virtual | ~Functor ()=default
| Destructor.
int | values () const
| Get the number of values.

## Public Attributes

const TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar > * | estimator_

## Additional Inherited Members

Public Types inherited from pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
enum |
using | Scalar = MatScalar
using | InputType = Eigen::Matrix< MatScalar, InputsAtCompileTime, 1 >
using | ValueType = Eigen::Matrix< MatScalar, ValuesAtCompileTime, 1 >
using | JacobianType = Eigen::Matrix< MatScalar, ValuesAtCompileTime, InputsAtCompileTime >
Protected Attributes inherited from pcl::registration::TransformationEstimationLM< PointSource, PointTarget, MatScalar >::Functor< MatScalar >
int | m_data_points_

## Detailed Description

template<typename PointSource, typename PointTarget, typename MatScalar = float>
struct pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices

Definition at line 303 of file transformation_estimation_point_to_plane_weighted.h.

## Constructor & Destructor Documentation

## OptimizationFunctorWithIndices() [1/2]

template<typename PointSource , typename PointTarget , typename MatScalar = float>

pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices | ( | int | m_data_points,
|  | const TransformationEstimationPointToPlaneWeighted * | estimator
| ) |  |

inline

Functor constructor.

Parameters

  [in] | m_data_points | the number of data points to evaluate
  [in,out] | estimator | pointer to the estimator object

Definition at line 310 of file transformation_estimation_point_to_plane_weighted.h.

## OptimizationFunctorWithIndices() [2/2]

template<typename PointSource , typename PointTarget , typename MatScalar = float>

pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::OptimizationFunctorWithIndices | ( | const OptimizationFunctorWithIndices & | src | ) |

inline

Copy constructor.

Parameters

  [in] | src | the optimization functor to copy into this

Definition at line 319 of file transformation_estimation_point_to_plane_weighted.h.

## ~OptimizationFunctorWithIndices()

template<typename PointSource , typename PointTarget , typename MatScalar = float>

virtual pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::~OptimizationFunctorWithIndices | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## operator()()

template<typename PointSource , typename PointTarget , typename MatScalar >

int pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::operator() | ( | const VectorX & | x,
|  | VectorX & | fvec
| ) |  | const

Fill fvec from x.

For the current state vector x fill the f values

Parameters

  [in] | x | state vector
  [out] | fvec | f values vector

Definition at line 311 of file transformation_estimation_point_to_plane_weighted.hpp.

## operator=()

template<typename PointSource , typename PointTarget , typename MatScalar = float>

OptimizationFunctorWithIndices & pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::operator= | ( | const OptimizationFunctorWithIndices & | src | ) |

inline

Copy operator.

Parameters

  [in] | src | the optimization functor to copy into this

Definition at line 329 of file transformation_estimation_point_to_plane_weighted.h.

References pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::estimator_.

## Member Data Documentation

## estimator_

template<typename PointSource , typename PointTarget , typename MatScalar = float>

const TransformationEstimationPointToPlaneWeighted<PointSource, PointTarget, MatScalar>* pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::estimator_

Definition at line 348 of file transformation_estimation_point_to_plane_weighted.h.

Referenced by pcl::registration::TransformationEstimationPointToPlaneWeighted< PointSource, PointTarget, MatScalar >::OptimizationFunctorWithIndices::operator=().

The documentation for this struct was generated from the following files:

- pcl/registration/transformation_estimation_point_to_plane_weighted.h
- pcl/registration/impl/transformation_estimation_point_to_plane_weighted.hpp